--- a/configure.ac
+++ b/configure.ac
@@ -56,6 +56,7 @@
 AC_PATH_PROGS(SED, sed gsed)
 AX_PATH_QMAKE4
 AX_PATH_QMAKE5
+PKG_PROG_PKG_CONFIG
 
 AM_MAINTAINER_MODE
 
@@ -575,6 +576,11 @@
 AC_CHECK_FUNCS([waitpid])
 AC_CHECK_FUNCS([daemon])
 
+AC_CHECK_DECL([va_copy],
+              [AC_DEFINE(HAVE_VA_COPY, 1, [Define to 1 if you have the `va_copy' macro.])],
+              [AC_CHECK_DECL([__va_copy],
+                             [AC_DEFINE(HAVE___VA_COPY, 1, [Define to 1 if you have the `__va_copy' macro.])])])
+
 # IRIX has a const char return value for gai_strerror()
 AC_CHECK_FUNCS(gai_strerror,[
         AC_DEFINE(HAVE_GAI_STRERROR)
@@ -1637,7 +1643,7 @@
   fi
   AX_LANG_WNOERROR  # end AC_LANG_WERROR
 
-  QT_CONFIG_OPTS="debug"
+  QT_CONFIG_OPTS="debug nostrip"
 else
   CFLAGS="$CFLAGS -DNDEBUG"
   CXXFLAGS="$CXXFLAGS -DNDEBUG"
@@ -1648,7 +1654,7 @@
   AX_CFLAGS_GCC_OPTION([-Wno-unused-function], [UIM_SCM_CFLAGS])
   AX_LANG_WNOERROR  # end AC_LANG_WERROR
 
-  QT_CONFIG_OPTS="release"
+  QT_CONFIG_OPTS="release nostrip"
 fi
 
 AC_ARG_ENABLE(warnings-into-error,
--- a/sigscheme/src/Makefile.am
+++ b/sigscheme/src/Makefile.am
@@ -51,7 +51,6 @@
         functable-srfi60.c
 
 if MAINTAINER_MODE
-$(FUNC_TABLES): $(top_builddir)/config.status
 # Core
 SSCM_CORE_SRCS = \
 	$(srcdir)/error.c \
